#! /bin/bash
#
# This script has been written by Patryk Rzadzinski <rzadzins@wit.edu.pl> for browsing 
# *.mp3 collections and finding songs with faulty bitrate (low quality). 
# Usage: ./CheckMP3Rates.sh <path_to_save_results> <music_collection_root_dir>
###########################################################################################
#    Colors
#
green="[01;32m"
red="[01;31m"
yellow="[01;33m"
white="[01;37m"
end="[00m"
##################################


if [[ -z "$1" ]] || [[ -z "$2" ]] || (( $# != 2)) ; then
	echo ""$white"Usage: ./CheckMP3Rates.sh <path_to_save_results> <music_collection_root_dir>$end";
	exit 0;
else 
	curdir=$PWD;
	echo ""$white"Low quality song names will be stored in $yellow"$1"/list-lq.txt$end";
	if [[ -f "$1"/list-lq.txt ]] ; then
		rm -f "$1"/list-lq.txt;
		touch "$1"/list-lq.txt;
	fi;
fi;

storepath="$1";

Cdir ()
{
for elem in * ; do
	if [[ -d "$elem" ]] ; then 
		cd "$elem";
		Cdir;
		cd ..;
	elif [[ -n $(ls "$elem" | grep .mp3) ]] ; then
		rate=$(mp3info -fxr v "$elem" 2>&1| grep Audio | tr -s ' ' | cut -d' ' -f2)
		if [ $rate == "Variable" ] ; then
			echo "$PWD/$elem has variable rate" >> $storepath/list-variable.txt; 
		elif (($rate < 192)) ; then
			echo "$PWD/$elem has low rate of $rate" >> $storepath/list-lq.txt;
		fi;
	fi;
done;
}

cd "$2";
echo "entering $2";
Cdir;

cd $curdir;
