#!/bin/bash
#

lame=/usr/bin/lame
mppdec=/usr/bin/mppdec
bitrate=320


if [[ -f $mppdec ]] && [[ -f $lame ]] ; then
	cd "$1";
	for mpcfile in *.mpc ; do
		wavfile=${mpcfile%mpc}wav; #replace mpc extension with wav
		mp3file=${mpcfile%mpc}mp3; #replace mpc extension with mp3
		echo "----- Processing $mpcfile -----";
		mppdec --wav --silent "$mpcfile" "$wavfile" 2>&1 >> /dev/null

		if [[ -f "$wavfile" ]] ; then
			echo -e "Ok";
		else
			echo -e "Error";
			exit 0;
		fi;

		lame -b $bitrate "$wavfile" "$mp3file" 2>&1 >> /dev/null

		if [[ -f "$mp3file" ]] ; then
			rm -f "$wavfile";
			rm -f "$mpcfile";
		else
			exit 0;
		fi;
	done;
else
	echo "Error : $mppdec or $lame not found!";
	echo "Change the value mppdec to the right place of mppdec.";
fi;
